<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 12/26/2007 *
 * ================                             Last change: 12/26/2007 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-config_wernis.php                           *
 * -------------------------------------------------------------------- *
 * Short description : Configure wernis sub-system                      *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Auszahlungensarten editieren                     *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!IS_ADMIN())) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), '/inc') + 4) . '/security.php';
	require($INC);
}

// Add description as navigation point
ADD_DESCR('admin', __FILE__);

if (isFormSent()) {
	// First merge temporarily the new API data into the current config
	mergeConfig(REQUEST_POST_ARRAY());

	// Let's test the API first (hold your horses here, cowboy! Thank you. :) )
	if (WERNIS_TEST_API()) {
		// Revert german commata
		foreach (array('payout_factor', 'withdraw_factor', 'payout_fee_percent', 'withdraw_fee_percent') as $revert) {
			REQUEST_SET_POST('wernis_'.$revert, convertCommaToDot(REQUEST_POST('wernis_'.$revert)));
		} // END - if

		// Hash the password and remove clear-text
		REQUEST_SET_POST('wernis_pass_md5', md5(REQUEST_POST('wernis_pass')));
		REQUEST_UNSET_POST(('wernis_pass'));

		// Save settings
		ADMIN_SAVE_SETTINGS_POST();
	} else {
		// Failed to test the API!
		LOAD_TEMPLATE('admin_settings_saved', false, GET_WERNIS_ERROR_MESSAGE());
	}
}  else {
	// Prepare data for template output
	$content = array(
		'min_payout'           => getConfig(('wernis_min_payout')),
		'min_withdraw'         => getConfig(('wernis_min_withdraw')),
		'api_id'               => getConfig(('wernis_api_id')),
		'api_md5'              => getConfig('wernis_api_md5'),
		'api_url'              => getConfig('wernis_api_url'),
		'refid'                => getConfig(('wernis_refid')),
		'payout_factor'        => translateComma(getConfig('wernis_payout_factor')),
		'withdraw_factor'      => translateComma(getConfig('wernis_withdraw_factor')),
		'payout_fee_percent'   => translateComma(getConfig('wernis_payout_fee_percent')),
		'withdraw_fee_percent' => translateComma(getConfig('wernis_withdraw_fee_percent')),
		'payout_fee_fix'       => getConfig(('wernis_payout_fee_fix')),
		'withdraw_fee_fix'     => getConfig(('wernis_withdraw_fee_fix'))
	);

	// Prepare payout Y/N selection
	if (getConfig('wernis_payout_active') == 'Y') {
		// Payout allowed
		define('__CFG_WERNIS_PAYOUT_ACTIVE_Y', ' checked="checked"');
		define('__CFG_WERNIS_PAYOUT_ACTIVE_N', '');
	} else {
		// Payout disabled
		define('__CFG_WERNIS_PAYOUT_ACTIVE_Y', '');
		define('__CFG_WERNIS_PAYOUT_ACTIVE_N', ' checked="checked"');
	}

	// Prepare withdraw Y/N selection
	if (getConfig('wernis_withdraw_active') == 'Y') {
		// Payout allowed
		define('__CFG_WERNIS_WITHDRAW_ACTIVE_Y', ' checked="checked"');
		define('__CFG_WERNIS_WITHDRAW_ACTIVE_N', '');
	} else {
		// Payout disabled
		define('__CFG_WERNIS_WITHDRAW_ACTIVE_Y', '');
		define('__CFG_WERNIS_WITHDRAW_ACTIVE_N', ' checked="checked"');
	}

	// Load template
	LOAD_TEMPLATE("admin_config_wernis", false, $content);
}

//
?>
